import { Controller, Get } from '@nestjs/common';
import { DEMO_CHARACTER_ID } from '../demo/demo-character.constants';
import { WorldService } from './world.service';

@Controller('world')
export class WorldController {
  constructor(private readonly worldService: WorldService) {}

  @Get('current-location')
  getCurrentLocation() {
    return this.worldService.getCurrentLocation(DEMO_CHARACTER_ID);
  }
}
